> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/connect/rest-api/end-users/get-edd-requests.md).

# Get EDD Requests

<table data-header-hidden><thead><tr><th width="74.8046875" align="center"></th><th></th></tr></thead><tbody><tr><td align="center"><mark style="color:green;"><strong>GET</strong></mark> </td><td>https://api.sfox.com/v1/enterprise/eddq/requests</td></tr></tbody></table>

Returns a list of all EDD requests that have been created for your end users.

{% hint style="info" %}
For additional details regarding EDD and completing EDD requests, see our [Enhanced Due Diligence (EDD) guide](/connect/introduction/guides/onboarding/enhanced-due-diligence-edd.md).
{% endhint %}

***

## Request

### Query Parameters

<table><thead><tr><th width="210">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>user_id</code></strong></td><td>Filters the response EDD requests for a specific end user according to the specified <code>user_id</code>.</td></tr></tbody></table>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```shell
curl -X GET \
  -H  "Authorization: Bearer ${ENTERPRISE_API_KEY}" \
   'https://api.sfox.com/v1/enterprise/eddq/requests'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: 'https://api.sfox.com/v1/enterprise/eddq/requests',
  headers: { 
    'Authorization': `Bearer ${process.env.ENTERPRISE_API_KEY}`, 
  }
};

axios.request(config)
  .then((response) => {
    console.log(response.status);
    console.log(response.data);
  })
  .catch((error) => {
    console.log(error.response.status);
    console.log(error.response.data);
  });

```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os


response = requests.get('https://api.sfox.com/v1/enterprise/eddq/requests',
  headers={ 
    'Authorization': f"Bearer {os.environ['ENTERPRISE_API_KEY']}" 
  })

print(response.status_code)
print(response.json())
```

{% endtab %}
{% endtabs %}

## Response

### Response Body

{% hint style="info" %}
EDD requests with **`status` = `REQUESTED`** or **`PARTIAL_SUBMISSION`** are considered "oustanding" and must be completed.&#x20;
{% endhint %}

<table><thead><tr><th width="210">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>id</code></strong></td><td>The unique, sFOX-generated ID of the EDD request.</td></tr><tr><td><strong><code>user_id</code></strong></td><td>The unique ID of the user shared between sFOX and you.</td></tr><tr><td><strong><code>ddq_id</code></strong></td><td>The ID of the type of EDDQ (Enhanced Due Diligence Questionnaire)</td></tr><tr><td><strong><code>required_form</code></strong></td><td><p>The name of the EDDQ based on the <code>ddq_id</code>. Possible values:</p><ul><li><code>EDDQ - Individual</code></li><li><code>EDDQ - Business</code></li></ul></td></tr><tr><td><strong><code>status</code></strong></td><td>The completion status of the EDDQ.</td></tr><tr><td><strong><code>date_added</code></strong></td><td>The date that the EDDQ request was added.</td></tr><tr><td><strong><code>date_updated</code></strong></td><td>The date that the EDDQ request was most recently updated.</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;"><strong>200</strong></mark><strong>: OK</strong></summary>

<pre class="language-json" data-title="All users"><code class="lang-json">{
"data": [
        {
            "id": 1,
            "user_id": "187ce1a6-dd9d-4a6a-9a79-71425584e3ba",
            "ddq_id": 1,
            "required_form": "EDDQ - Individual",
            "status": "IN_REVIEW",
            "date_added": "2024-03-20T00:16:52.000Z",
            "date_updated": "2024-03-20T00:16:52.000Z"
        },
<strong>        {
</strong>            "id": 6,
            "user_id": "testing",
            "ddq_id": 1,
            "required_form": "EDDQ - Individual",
            "status": "REVIEWED",
            "date_added": "2024-03-29T16:55:55.000Z",
            "date_updated": "2024-03-29T16:55:55.000Z"
        },
        {
            "id": 8,
            "user_id": "clelele",
            "ddq_id": 1,
            "required_form": "EDDQ - Individual",
            "status": "REQUESTED",
            "date_added": "2024-04-03T17:57:25.000Z",
            "date_updated": "2024-04-03T17:57:25.000Z"
        }
    ]
}
</code></pre>

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sfox.com/connect/rest-api/end-users/get-edd-requests.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
